{
  description = "CoreNLP server";

  inputs = {
    nixpkgs.url = "github:NixOS/nixpkgs/release-25.05";
    flake-utils.url = "github:numtide/flake-utils";
  };

  outputs = { self, nixpkgs, flake-utils }:
    flake-utils.lib.eachDefaultSystem (system:
      let
        pkgs = import nixpkgs { inherit system; };

        mkCorenlp = version: pkgs.callPackage ./corenlp.nix { inherit version; };
          
        corenlp_4_5_8 = mkCorenlp "4.5.8";
        corenlp_4_5_9 = mkCorenlp "4.5.9";
        corenlp_4_5_10 = mkCorenlp "4.5.10";
      in
        {
          packages.corenlp_4_5_8 = corenlp_4_5_8;
          packages.corenlp_4_5_9 = corenlp_4_5_9;
          packages.default = corenlp_4_5_10;
        }
    ); 
}
